Browse Source

add flim-1.14.9-2 files

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@3602 ec354946-7b23-47d6-9f5a-488ba84defc7
iwaim 13 years ago
parent
commit
8173ede27d
4 changed files with 158 additions and 0 deletions
  1. 12 0
      f/flim/FLIM-CFG.emacs.patch
  2. 7 0
      f/flim/flim-init.el
  3. 101 0
      f/flim/flim-install.sh
  4. 38 0
      f/flim/flim-remove.sh

+ 12 - 0
f/flim/FLIM-CFG.emacs.patch

@@ -0,0 +1,12 @@
+--- flim-1.12.7.orig/FLIM-CFG	Mon May 31 18:23:26 1999
++++ flim-1.12.7/FLIM-CFG	Sun Aug  8 19:14:00 1999
+@@ -9,6 +9,9 @@
+ (add-to-list 'load-path
+ 	     (expand-file-name "../../site-lisp/apel" data-directory))
+ 
++(add-to-list 'load-path
++	     (expand-file-name "/usr/share/emacs/site-lisp/apel" data-directory))
++
+ (if (boundp 'LISPDIR)
+     (progn
+       (add-to-list 'default-load-path LISPDIR)

+ 7 - 0
f/flim/flim-init.el

@@ -0,0 +1,7 @@
+;;
+;; flim-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+;; 	MATSUBAYASHI Kohji <shaolin@vinelinux.org>
+
+;; nothing here at the moment...

+ 101 - 0
f/flim/flim-install.sh

@@ -0,0 +1,101 @@
+#! /bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/foo
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="flim"
+VERSION=1.14.8
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+EFLAGS="-batch -q -l FLIM-MK"
+COMPILE="-batch -q -f batch-byte-compile"
+
+STAMP=${ELCDIR}/compile-stamp
+
+case "${FLAVOR}" in
+
+    emacs)
+	;;
+
+    *)
+
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+
+	if [ "${FLAVOR}" = "emacs19" ]; then
+	    if [ ! -f /usr/share/emacs/site-lisp/custom-init.el ]; then
+		echo -n " exited. "
+		echo "W: Please install custom package for emacs19." ;
+		exit 0;
+	    fi
+	fi
+
+	if [ "${FLAVOR}" = "mule2" ]; then
+	    if [ ! -f /usr/share/emacs/site-lisp/custom-mule-init.el ]; then
+		echo -n " exited. "
+		echo "W: Please install custom-mule package for mule2." ;
+		exit 0;
+	    fi
+	fi
+
+	if [ -e ${STAMP} ]; then
+	    if [ "${VERSION}" = "`cat ${STAMP}`" ]; then
+		echo " exited. (already compiled)" 
+		exit
+	    fi
+	fi
+
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	# Copy the temp .el files
+	# cp ${ELDIR}/* ${ELCDIR}/
+
+	# Byte compile them
+	(cd ${ELDIR}
+	    make EMACS=${FLAVOR} LISPDIR=${SITELISP} install \
+		> ${ELCDIR}/CompilationLog 2>&1
+	)
+
+	# remove mel-b-ccl.el* for xemacs
+	# (see http://lists.airs.net/wl/archive/200101/msg00077.html)
+	case "${FLAVOR}" in
+	    xemacs-21.1*)
+		rm -f ${ELCDIR}/mel-b-ccl.el*
+		;;
+	    *)
+		;;
+	esac
+
+	gzip -9 ${ELCDIR}/CompilationLog
+	echo ${VERSION} > ${STAMP}
+
+	if [ -e  ${ELCDIR}/${STARTFILE}c ]; then
+	    mv ${ELCDIR}/${STARTFILE}c ${STARTDIR}/50${STARTFILE}c;
+	else
+	    ln -f -s ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};
+	fi
+	echo " done."
+	;;
+
+esac
+
+exit 0;

+ 38 - 0
f/flim/flim-remove.sh

@@ -0,0 +1,38 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/foo
+# [ This particular script hasn't been tested either, so be careful. ]
+set -e
+
+FLAVOR=$1
+PACKAGE="flim"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+	emacs)
+	;;
+	*)
+
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/50${STARTFILE}*;
+	echo " done."
+	;;
+esac
+
+exit 0;